Subject: Re: bug#31245: 27.0.50; Crash in Windows emacs

From: Andy Moreton <[email-masked]>
Date: Tue, 01 May 2018 21:47:00 +0100

On Mon 23 Apr 2018, Andy Moreton wrote:

> On Mon 23 Apr 2018, Eli Zaretskii wrote:
>> Thanks, but this kind of problems is impossible to debug without a
>> reproducer.  Can you come up with one?

I still cannot use a debugger on this system, but I have collected two
more backtraces from emacs built with the same options as before, from
changeset 65ac27783a959a8339c2aab0f1e54d9b508a1f1f on master.

In both of these I was typing in an rnc-mode buffer (for a Relax-NG
schema), and it crashed while I typed OSVERSION as an element name in
the schema (only the O was displayed). The file is plain ascii.

w32_backtrace at w32fns.c:10645
emacs_abort at w32fns.c:10680
bidi_pop_it at bidi.c:946
pop_it at xdisp.c:6265
next_overlay_string at xdisp.c:5662
set_iterator_to_next at xdisp.c:7779
display_line at xdisp.c:22005
try_window at xdisp.c:17734
redisplay_window at xdisp.c:17181
redisplay_window_1 at xdisp.c:14946
internal_condition_case_1 at eval.c:1358
redisplay_internal at xdisp.c:14512
redisplay at xdisp.c:13612
read_char at keyboard.c:2484
read_key_sequence at keyboard.c:9150
command_loop_1 at keyboard.c:1370
internal_condition_case at eval.c:1330
command_loop_2 at keyboard.c:1111
internal_catch at eval.c:1099
command_loop at keyboard.c:1082
recursive_edit_1 at keyboard.c:694
Frecursive_edit at keyboard.c:765
funcall_subr at eval.c:2896
Ffuncall at eval.c:2823
exec_byte_code at bytecode.c:632
funcall_lambda at eval.c:3024
Ffuncall at eval.c:2825
Fapply at eval.c:2443
apply1 at eval.c:2659
call_debugger at eval.c:332
maybe_call_debugger at eval.c:1834
signal_or_quit at eval.c:1662
Fsignal at eval.c:1567
xsignal at lisp.h:3943
xsignal1 at eval.c:1704
eval_sub at eval.c:2337
apply_lambda at eval.c:2955
eval_sub at eval.c:2333
Feval at eval.c:2108
funcall_subr at eval.c:2900
Ffuncall at eval.c:2823
exec_byte_code at bytecode.c:632
funcall_lambda at eval.c:3024
Ffuncall at eval.c:2825
exec_byte_code at bytecode.c:632
funcall_lambda at eval.c:3024
Ffuncall at eval.c:2825
Ffuncall_interactively at callint.c:253
funcall_subr at eval.c:2878
Ffuncall at eval.c:2823
Fcall_interactively at callint.c:798
funcall_subr at eval.c:2903
Ffuncall at eval.c:2823
exec_byte_code at bytecode.c:632
funcall_lambda at eval.c:3024
Ffuncall at eval.c:2825
call1 at eval.c:2674
command_loop_1 at keyboard.c:1484
internal_condition_case at eval.c:1330
command_loop_2 at keyboard.c:1111
internal_catch at eval.c:1099
command_loop at keyboard.c:1090

w32_backtrace at w32fns.c:10645
emacs_abort at w32fns.c:10680
bidi_pop_it at bidi.c:946
pop_it at xdisp.c:6265
next_overlay_string at xdisp.c:5662
set_iterator_to_next at xdisp.c:7779
display_line at xdisp.c:22005
try_window at xdisp.c:17734
redisplay_window at xdisp.c:17181
redisplay_window_1 at xdisp.c:14946
internal_condition_case_1 at eval.c:1358
redisplay_internal at xdisp.c:14512
redisplay at xdisp.c:13612
read_char at keyboard.c:2484
read_key_sequence at keyboard.c:9150
command_loop_1 at keyboard.c:1370
internal_condition_case at eval.c:1330
command_loop_2 at keyboard.c:1111
internal_catch at eval.c:1099
command_loop at keyboard.c:1090
recursive_edit_1 at keyboard.c:694
Frecursive_edit at keyboard.c:765
main at emacs.c:1717
__tmainCRTStartup at crtexe.c:331
mainCRTStartup at crtexe.c:214
__start at unexw32.c:111